# applyPostAttackAbAttrs | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function applyPostAttackAbAttrs

- applyPostAttackAbAttrs(
  attrType: Constructor < PostAttackAbAttr >,
  pokemon: default ,
  defender: default ,
  move: default ,
  hitResult: null | HitResult ,
  simulated?: boolean,
  ...args: any[],
  ): void

  #### Parameters

  - attrType: Constructor < PostAttackAbAttr >
  - pokemon: default
  - defender: default
  - move: default
  - hitResult: null | HitResult
  - simulated: boolean = false
  - ...args: any[]

  #### Returns void

  - Defined in src/data/ability.ts:5878